aboutsummaryrefslogtreecommitdiffstats
path: root/chapter6/cleanup.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 22:51:55 +0000
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 22:51:55 +0000
commit2e2f8f359c865382cbc138e4572ab9a63d736775 (patch)
treef76a820e8f39d46926ad0e6a5dc8f478ae429615 /chapter6/cleanup.sh
parente4633200ea4609597950f991ce43f1a4d9f3cfbb (diff)
parent6b11f48c20f4411008c28ccb86463a98c0f06fef (diff)
Merge branch 'chapter10'
Diffstat (limited to 'chapter6/cleanup.sh')
-rw-r--r--chapter6/cleanup.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/chapter6/cleanup.sh b/chapter6/cleanup.sh
index 5f6e327..2266d06 100644
--- a/chapter6/cleanup.sh
+++ b/chapter6/cleanup.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
if [ -f "${LFS}/sources/chapter6/cleanup" ]; then
printf "%b" " ${IGRN}Cleanup already performed${RST}\n"
@@ -14,10 +15,10 @@ else
rm -rfv "${LFS}"/usr/share/info
rm -rfv "${LFS}"/usr/share/man
- strip --strip-debug "${LFS}"/usr/lib/*
- strip --strip-unneeded "${LFS}"/usr/bin/*
- strip --strip-unneeded "${LFS}"/usr/sbin/*
- strip --strip-unneeded "${LFS}"/tools/bin/*
+ strip --strip-debug "${LFS}"/usr/lib/* || true
+ strip --strip-unneeded "${LFS}"/usr/bin/* || true
+ strip --strip-unneeded "${LFS}"/usr/sbin/* || true
+ strip --strip-unneeded "${LFS}"/tools/bin/* || true
} >"${LFS}"/sources/log/chapter6/cleanup.log 2>&1